Läuft DreamPlex 2.1.0 (Enigma II Plex Client) auf der dm7020HD?

  • Hallo zusammen


    habt Ihr Erfahrungen damit, ob der Plex-Client DreamPlex 2.1.x (sourceforge.net) auf einer dm7020HD (originales DMM-Enigma II-Image) läuft? Es gibt hier bereits einen IHAD Thread zu DreamPlex 2.1.x.


    Ich habe mir das IPK heruntergeladen, und versucht, dieses auf die dreambox zu spielen (via BernyR's genialem DCC-Tool v295). Dieses sollte dann im Extensions-Menü (blaue Taste auf der dreambox-Fernbedienung) auftauchen. Die dreambox sagt zwar, sie installiert die Extension, aber auftauchen im Extensions-Menü ("blau") tut leider nix. Keine Fehlermeldung zwar, aber eben auch keine Extension :-(.


    Leider bin ich gar kein Crack im Linux, so weiss ich nicht, ob ich beim Installieren etwas falsch gemacht habe. Vielleicht wisst Ihr ja weiter?


    Telnet-Kommandos könnte ich zur Not evtl. an die dreambox schicken, glaube ich ... :) ...
    ... allerdings habe ich es mit

    Code
    dpkg -i /folder/my_package.ipk

    bereits probiert ...
    ... meine dm scheint das dpkg-Kommando aber nicht wirklich zu verstehen und meldet zurück:

    Code
    root@dm7020hd:~# dpkg -i /folder/my_package.ipk
    --sh: dpkg: not found


    Für die Placeholder "/folder" und "/my_package" hatte ich folgende Einträge verwendet:

    Code
    "/folder" = "/var/volatile/tmp"
    "/my_package" = "/enigma2-plugin-extensions-dreamplex_2.1.1_all.ipk"


    Irgendwo ist hier doch der Wurm drin!



    Ich würde mich sehr über Eure Hilfe freuen zu:

    • möglicherweise bin ich nicht fähig, das IPK zu installieren? Dann würde ich mich über Eure Beschreibung freuen, wie sowas gehen kann
    • vielleicht ist die Extension gar nicht für die dm7020HD gemacht, und es geht daher nicht? Dann würde ich mich über einen Hinweis freuen, welche Plex-Clients Ihr auf Eurem Enigma II-Image zum Laufen gebracht habt!


    Besten Dank im Voraus schon mal!
    Ich freue mich auf Eure Tipps & Tricks, bitte gesund bleiben in diesen Zeiten!


    Grüsse, RavenHeart

  • Hab deinen Beitrag erst jetzt gelesen und hoffe du brauchst noch Hilfe ?
    Das Plugin wurde von Lizard bei uns im Box Pirates Forum für die Dreamboxen angepasst bzw. gefixt und läuft in der neuen Version wieder auf Dreamboxen.
    Da ich aber nicht weiß ob Links oder Anhänge hier erlaubt sind, erst mal nur der Hinweis.
    Kann die deb Version aber wenn gewünscht auch gerne hier anhängen.

    Dreambox One Combo / VU+ Uno4k / Qviart Linix / VU+ Zero

  • dpkg -i funktioniert nicht unter OE 2.0, sondern ist erst ab OE 2.2 einzusetzen.


    opkg install /folder/my_package.ipk wäre wohl der richtige Befehl.

    Viele Grüße
    Jürgen


    "Kaum macht man es richtig, .... schon geht es!"


    "Machen ist wie wollen, nur krasser!"

  • Zunächst vielen Dank für Deine Antwort! Ja, falls Du mir damit helfen kannst, freue ich mich sehr :499: !!


    Kannst Du mir einen Link posten zum Download?


    Eine .deb-Version auf der dm7020HD, geht das? Ich habe bislang immer nur ipkg-Versionen installiert, ist aber eben alles schon wieder so lange her - kaum macht man was 10 Jahre nicht, verlernt man alles gleich ... .


    Also, falls ich beim installieren was spezielles tun muss, würde ich mich über diese Info sehr freuen. Aber bitte gern für Dummies aufschreiben :sonne: .


    Besten Dank schonmal + LG!

  • deb funktioniert unter OE 2.0 nicht, das muss eine ipk-Datei sein, Befehl siehe meinen Post zuvor.

    Viele Grüße
    Jürgen


    "Kaum macht man es richtig, .... schon geht es!"


    "Machen ist wie wollen, nur krasser!"

  • Hallo zusammen


    ich probier's mal mit meiner aktuellen Version, aber dem von Jogi beschriebenen Befehl ... wunderte mich schon, warum meine dm motzt, wenn sie doch den Befehl gar nicht kennt ... tztz.


    Melde mich später, drückt mir schon mal die Daumen ;)!!

  • Quote

    Original von Jogi29
    deb funktioniert unter OE 2.0 nicht, das muss eine ipk-Datei sein, Befehl siehe meinen Post zuvor.


    Steht ja auch fett im Titel DM720HD und trotzdem hab ich es überlesen.
    Sollte wohl doch zukünftig die Brille auch am PC aufsetzen ?(

    Dreambox One Combo / VU+ Uno4k / Qviart Linix / VU+ Zero

  • Lies nochmal, was deine Box da "motzt" ;) Es wird gemeckert, dass der Befehl unbekannt ist...

    so long
    m0rphU



    :aufsmaul: Kein Support per PN! :aufsmaul:

  • So, hab's eben mal probiert, hier das Update:


    Benutzte Version: enigma2-plugin-extensions-dreamplex_2.1.3_all.ipk


    Die Placeholder "/folder" und "/my_package" lauten damit:

    Code
    "/folder" = "/var/volatile/tmp"
    "/my_package" = "/enigma2-plugin-extensions-dreamplex_2.1.3_all.ipk"


    Telnet aufgemacht, eine Verbindung zur dm7020HD hergestellt, und den opkg-Befehl verwendet:

    Code
    opkg install /folder/my_package.ipk


    Rückmeldung der dreambox:

    Code
    Installing DreamPlex (2.1.3) to root...
    Collected errors:
    * satisfy_dependencies_for: Cannot satisfy the following dependencies for DreamPlex:
    * python-textutils * curl *
    * opkg_install_cmd: Cannot install package DreamPlex.
    root@dm7020hd:~#


    Mir scheint somit ein "curl"-Package für die korrekte Installation zu fehlen ... . Wer kann mir hiermit weiterhelfen?


    Nochmals vielen Dank für Euren Input :).


    LG!

  • Genial, habe soeben das Update durchgeführt - das ging ja perfekt - vielen lieben Dank :danke: !!


    Meine dm hat das alles gut gemacht und meldet sich nun (im Telnet) wieder:

    Code
    Downloading http://dreamboxupdate.com/opendreambox/2.0.0-release/ipk/all/Packages.gz.
    Inflating http://dreamboxupdate.com/opendreambox/2.0.0-release/ipk/all/Packages.gz.
    Updated list of available packages in /var/tmp/official-all.
    ... und noch ein paar weitere Updates ...


    Die Installation meldet folgendes zurück:


    Sieht doch recht schick aus bis dahin! Nochmals lieben Dank!


    Bleibt noch eines: Nun muss ich wohl nur noch das DreamPlex Handbuch lesen, oder? :kaffee:


    Melde mich vielleicht nochmal bei Euch, wenn ich wieder am Berg damit stehe ...
    Aber nun erstmal LG + ganz lieben Dank für Euren Support!

  • Hallo zusammen


    hab die DreamPlex-Erweiterung zwar jetzt am laufen, wollte nun aber meinen Plex-Server (Synology NAS) einbinden ...


    ... aber das gelingt mir gerade nicht ...
    ... weil ich offenbar nur die Hälfte des Bildschirms sehen kann - der Skin scheint massiv zu gross zu sein für meinen HD-TV:

    • oben links ist z.B. "System" zu sehen, die linke obere Ecke scheint zu stimmen.
    • unten sind Hinweise/Tips offenbar abgeschnitten. Beim Menüpunkt "Skinauswahl" sehe ich gerade die beiden obersten Pixelreihen von einem Hinweistext, welcher offenbar lautet: "Beim Wechsel der Skins muss die GUI neu gestartet werden" ... hab's beim Zoomen entdeckt (Bildeinstellungen an meinem TV)
    • ganz rechts sehe ich das, was offenbar in der Mitte angesiedelt sein sollte .. es gibt ein horizontales Scroll-Menü, mit Einträgen wie "ÜBER ... SYSTEM ... EINSTELLUNGEN ... etc.". Der jeweils gewählte Menüpunkt sollte mittig stehen (wenn die gefundenen Screenshots im Netz die aktuelle Wahrheit sprechen), wenn ich durchscrolle, ist mein Menüpunkt "EINSTELLUNGEN" am rechten Bildrand abgeschnitten ...


    Nun stehe ich also grad schon wieder mal am Berg, und hoffe, dass sich jemand damit auskennt:

    • Wer von Euch weiss, wie bei DreamPlex das Anzeige-Format (horiz./vert. Auflösung) der Skins geändert werden kann?
    • Wer kann mir helfen, einen Skin zu finden / zu installieren, welcher das Full HD-Format hat (sollten 1920 x 1080 px sein, oder?)



    Schon mal vielen Dank für Eure Geduld und Eure Tipps.
    LG!

  • Ich kann mit deinen Problemen auch nicht wirklich weiterhelfen, aber:


    1. Ich habe auf meiner DM520 das DreamPlex laufen und es klappt auch soweit. Warum (ohne Screenshots) Du diese beschriebenen Probleme hast, kann man (ich) schwer nachvollziehen.
    Und ich hab an der 520er auch "nur" einen HD-TV.


    2. Das Plugin war mal ne tolle Nummer - leider seit Jahren nicht gepflegt. Was ich sehr schade finde.
    Hätte ich doch nur die Progammierfähigkeiten, das zu ändern. ;(
    Leider (warum bloß) scheint das in der E2 Welt keinen Programmierer zu reizen, das Plugin mal auf einen aktuellen Stand zu bringen.


    3. Ich nutze ich Plex eigentlich nur noch mit den "offiziellen" Apps, d.h. PC/Android (Fire TV / Handy)


    Aber (siehe 1.): es läuft trotzdem ganz OK (siehe Screenshots).



    Grüße



    PS: Ich hab an dem Standard Skin des Plugins nix geändert.
    PPS: Als E2 Skin hab ich den Metrix Skin (HD - kein FHD) drauf. Aber das sollte (IMHO) eigentlich nix ändern.

  • Da stimme ich Dir gerne zu, ist immer schade, wenn ein interessantes Projekt nicht weiter entwickelt wird ... :banned2:


    Gibt es eventuell gute Alternativen ?(
    Was habt Ihr anstelle der DreamPlex-Erweiterung auf Euren dreamboxen laufen? Bin sehr gespannt auf Eure Tipps !


    Anbei noch ein paar Screenshots, wenn ich das hinbekomme ... eine echte Herausforderung für einen Newbie ... :rolleyes:


    Vielleicht muss ich ein paarmal editieren, mal sehen ...
    Besten Dank schon mal für Euren Input!


    LG!

  • Hmm... anz hat oben doch geschrieben, dass es weiter entwickelt wurde. Aber eben nicht für alte oder Low-End Hardware :rolleyes:

    so long
    m0rphU



    :aufsmaul: Kein Support per PN! :aufsmaul:

  • das Plugin auf dem aktuellen Stand bringen halte ich für unwahrscheinlich, aber leider findet sich bis jetzt auch niemand, der Dreamplex neu schreibt. Ich habe den Vorschlag schon dem einen oder anderen Programmierer gemacht, bisher aber leider ohne Erfolg.
    Im Dreampirates hat murxer in Aussicht gestellt, sich das Dreamplex mal anzuschauen, aber das geht mit Sicherheit nicht von heute auf morgen, denn um ein vernünftiges Plugin zu haben, wird einigesd an Arbeit nötin sein, Verschlüsselung und Skinbarkeit sind nur 2 Punkte, die man anpacken müsste.


    Eine Alternative zu Dreamplex gibt es meines Wissens nicht.


    Edit:
    m0rphU
    ich glaube nicht, dass es weiter entwickelt wurde, sondern nur angepasst, damit es wieder vernünftig läuft.

    Viele Grüße
    Jürgen


    "Kaum macht man es richtig, .... schon geht es!"


    "Machen ist wie wollen, nur krasser!"

    Edited once, last by Jogi29 ().


  • - AMS (Advanced Movie Selection)
    - Video DB